// DisplayView.h : interface of the CDisplayView class
//
/////////////////////////////////////////////////////////////////////////////

class CDisplayView : public CScrollView
{
protected: // create from serialization only
	CDisplayView();
	DECLARE_DYNCREATE(CDisplayView)

// Attributes
public:
	CDisplayDoc* GetDocument();

	LRESULT OnDoRealize(WPARAM wParam, LPARAM);
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDisplayView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnActivateView(BOOL bActivate, CView* pActivateView, CView* pDeactiveView);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CDisplayView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CDisplayView)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in DisplayView.cpp
inline CDisplayDoc* CDisplayView::GetDocument()
   { return (CDisplayDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
