
CC=cc

ROOT=/usr/home/claird/builds/lesstif-current

INCLUDES=-I/usr/X11R6/include -I$(ROOT)/include/Motif-1.2

LESSTIF_LIB=$(ROOT)/lib/Xm
LIB_DIR=-L/usr/X11R6/lib -L$(LESSTIF_LIB)

TOOLKIT_LIBS=$(LIB_DIR) -lXm -lXt -lX11

OBJ_LIST=pushb.o

EXECUTABLE=pushb

$(EXECUTABLE):  $(OBJ_LIST)
  $(CC) -R$(LESSTIF_LIB) -o $(EXECUTABLE) (OBJ_LIST) $(TOOLKIT_LIBS)

.c.o:
  cc $(INCLUDES) -c $<
